@import url('https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap');

* {
    padding: 0;
    margin: 0;
    font-family: 'Poppins', sans-serif;
    text-decoration: none;

}

header {
    background-color: #FFE626;
    ;
}

body {
    background-color: #F6F6F6;
}

.container {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;


    padding: 1.3rem;
    margin-bottom: 2rem;

}

.title_content {
    font-size: 1.3rem;
    line-height: 1.5rem;
    margin-bottom: 0.7rem;
    color: #353535;
    font-weight: bold;
}

.subtitle_content {
    font-size: 1rem;
    line-height: 1.2rem;
    color: #353535;
    font-weight: normal;
}



/*  --  Estilos do primeiro bloco -- */
.main_content {
    display: flex;
    flex-direction: column-reverse;
    align-items: center;
    gap: 3rem;
    height: 600px;
    text-align: left;
    margin-bottom: 2rem;
}

.main_content .main_img img {
    width: 260px;
}

.main_content h1 {
    line-height: 2.2rem;
    margin-bottom: 1rem;
    font-size: 2rem;
}

.main_content .subtitle {
    display: flex;
    flex-direction: column;
    justify-content: center;
    font-size: 1.2rem;
    line-height: 1.4rem;
}

.subtitle span {
    font-weight: 600;
    font-size: 1.3rem;
    background-color: #ffa500;
    padding: 0 0.5rem;
    border-radius: 0.2rem;
}

.main_content .arrow_point {
    margin-bottom: -5rem;
    max-width: 80px;


}

/*  --------------------  Fim estilos do primeiro bloco ------------------ */

/*  --  Estilos do bloco design -- */
.design_content {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    justify-content: center;
    align-items: flex-end;
    gap: 0.5rem;
}

.card_design_title {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    background-color: #FFE626;
    padding: 1rem;
    height: 160px;
    width: auto;
    border-radius: 0.5rem;
    margin-bottom: 1rem;
}

.card_design_title_2 {
    display: none;
}

.design_content .card_design {
    width: 100%;
    height: 400px;
    position: center;
    object-fit: cover;
    border-radius: 0.5rem;
}

.design_content .card_design img {
    width: 100%;
    height: 400px;
    position: relative;
    object-fit: cover;
    border-radius: 0.5rem;
    transition: 0.3s ease-in-out;
}

.design_content .card_design img:hover {
    opacity: 0;
}

/*  --------------------  Fim estilos do  bloco design ------------------ */

/*  --  Estilos do bloco dev -- */

.dev_container {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 1rem;


}

.card_dev_title {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    background-color: #FFE626;
    padding: 0.8rem;
    height: 160px;
    border-radius: 0.5rem;

}

.slide {
    width: 90%;
    height: var(--height);
    overflow: hidden;
    mask-image: linear-gradient(to right,
            transparent,
            #000 20% 90%,
            transparent);

}

.slide .carrossel {
    display: flex;
    width: 100%;
    min-width: calc(var(--width) * var(--quantity));
    position: relative;
}

.slide .carrossel:hover .item {
    animation-play-state: paused;
    filter: grayscale(1);
}

.slide .carrossel .item {
    width: var(--width);
    height: var(--height);
    position: absolute;
    left: 100%;
    animation: autoRun 12s linear infinite;
    animation-delay: var(--delay);
    border-radius: 0.5rem;
    cursor: pointer;

}

.slide .carrossel .item:hover {
    filter: grayscale(0);
}

.slide .carrossel .item img {
    width: 100%;
    border-radius: 0.5rem;
    box-shadow: 1px 2px 10px #9e9e9e;

}


@keyframes autoRun {
    from {
        left: 100%;
    }

    to {
        left: -2100px
    }
}

/*  --------------------  Fim estilos do bloco dev ------------------ */

/*  --  Estilos do bloco hab -- */
.hab_container {
    display: flex;
    flex-direction: column;
    gap: 1rem;
    text-align: center;
}

.hab_cards {
    display: flex;
    flex-direction: column;
    align-items: center;
    width: 100%;
    margin-top: 1rem;
    gap: 0.5rem;
}

.hab_cards p {
    color: #9e9e9e;
}

.hab_cards .item {
    display: flex;
    gap: 1rem;
}

.hab_cards .item img {
    width: 50px;
    height: 50px;
    border-radius: 0.5rem;
    transition: 0.3s ease-in-out;
}

.hab_cards .item .wordpress {
    background-color: rgb(0, 140, 255);
}

.hab_cards .item img:hover {
    scale: 1.3;
}

/*  --------------------  Fim estilos do bloco habilidades ------------------ */

/*  --  Estilos do bloco formulário -- */
.form_container {
    display: flex;
    flex-direction: column;
    gap: 2rem;
    justify-content: center;
    align-items: center;
    margin-top: 3rem;

    background-color: #cfcfcf;
    padding: 2rem;
    border-radius: 1rem;

    text-align: center;
}

.container_contato {
    display: flex;
    gap: 2rem;

}

.container_contato .card_contato {
    background-color: #FFE626;
    padding: 1rem;
    width: 60px;
    height: 70px;
    border-radius: 0.5rem;
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 0.3rem;

    transition: 0.2s ease-in-out;
}

.container .card_contato:hover {

    transform: scale(1.1);
}

.container .card_contato p {
    text-align: center;
    font-weight: 500;
    color: #353535;
    font-size: 0.85rem;
}

.container .card_contato img {
    width: 50px;
    height: 50px;

}



.form {

    width: 100%;
    display: none;
    flex-direction: column;
}

/* wait form --
        

.form .container .a {
    display: flex;
    flex-direction: row;
}

.form .form_input {
    width: 100%;
    height: 1.7rem;
    padding: 0.4rem;
    border: none;
    border-radius: 0.5rem;
    margin-bottom: 0.5rem;
    
    
    
    &:focus {
        border: #FFE626;
        outline-color: #FFE626; 
    }

    &:focus+.form_label,
    &:not(:placeholder-shown)+.form_label {
        transform: translateY(-4.50rem) scale(1);
        color: #353535;
    }

    &::placeholder {
        display: none;
        color: transparent;
    }

    &:not(:placeholder-shown) {
        border-top-color: rgba(0, 0, 0, 0.5);
    }
}

.form .form_input[id=message] {
    height: 10rem;
    text-align: left;
    
}

.form .form_label[id=message_label] {
    transform: translate(1rem,-10.5rem);
    
   
    
    &:focus-within {
        color: aqua ;
        
    }
    
}

.form .form_label {
    font-size: 0.85rem;
    color: grey;
    display: block;
    text-align: top;
    transform: translate(1.25rem,-2.5rem);
    transform-origin: 0 0;
    transition: all 500ms;
    pointer-events: none; 
}

button {
    background-color: orange;
    color: #F6F6F6;
    font-weight: 600;
    border: none;
    padding: 1.2rem;
    border-radius: 5rem;
}

button:hover {
    background-color: #FFE626;
    color: #353535;
    
}


*/
/* --- --- */

.end_content .final {
    position: relative;
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 0.5rem;

    width: 80%;
    margin: 2rem 4rem;
}

.end_content p {
    font-size: 1.5rem;
    line-height: 1.6rem;
    font-weight: 600;
}

.end_content img {
    width: 8rem;
}

.end_content .vetor1 {
    width: 5rem;
    height: 5rem;
    border-radius: 100%;
    background-color: #FFE626;
    transform: scale(1.5);

    position: absolute;
    z-index: -1;
    left: -1rem;
    top: -1rem;
}

.end_content .vetor2 {
    width: 5rem;
    height: 5rem;
    border-radius: 100%;
    background-color: #FFE626;
    transform: scale(1.1);

    position: absolute;
    z-index: -1;
    right: 2rem;
    bottom: -1rem;
}

/* -------------------------------------------- */

/* --- ---*/

.line {
    margin: 0 auto;
    width: 90%;
    border-bottom: 1.5px solid;
    border-color: #353535;
}

footer .footer_content {
    width: 85%;
    padding: 1rem 2rem;
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
    margin: 0 auto;

}

footer .footer_content p {
    font-weight: 500;
}

footer .footer_content img {
    width: 30px;
    height: 30px;
    border-radius: 0.5rem;
    padding: 0.5rem;
    background-color: #FFE626;
}

/* -------------------------------------------- */

/* --- Responsive CSS ---- */

@media only screen and (min-width: 691px) {
    .container {
        width: 90%;
        margin: 0 auto;
        margin-bottom: 3rem;
    }

    .title_content {
        font-size: 1.6rem;
        line-height: 1.8rem;
    }

    .subtitle_content {
        font-size: 1.1rem;
        line-height: 1.3rem;
    }


    /*  --  Estilos do primeiro bloco -- */

    .main_content {
        flex-direction: row;
        justify-content: space-between;
        height: 400px;
        gap: 0.5rem;
    }

    .main_content h1 {
        font-size: 2.1rem;
        line-height: 2.3rem;
    }

    .main_content .subtitle {
        font-size: 1.2rem;
        line-height: 1.4rem;
    }

    .main_content .arrow_point {
        position: absolute;
        margin-bottom: -32rem;
        margin-left: 40%;
        margin-right: auto;

    }

    .main_content .main_img img {
        width: 310px;
    }


    /*  --  Estilos do bloco design -- */
    .design_content {
        margin-top: 3rem;
    }

    .card_design_title {
        display: none;
    }

    .card_design_title_2 {
        display: flex;
        width: 300px;
        height: 300px;
        background-color: #FFE626;
        border-radius: 0.5rem;
    }

    .design_content .card_design {
        width: 300px;
        height: 300px;
    }

    .design_content .card_design img {
        width: 300px;
        height: 300px;
    }



    .design_content .isakids {
        display: none;
    }

    .card_design_title_2 div {
        display: flex;
        justify-content: space-between;
        flex-direction: column;
        padding: 1rem;
    }

    /*  --  Estilos do bloco dev -- */

    .card_dev_title {
        height: 160px;
        width: 590px;
    }

    .slide {
        width: 750px;
    }

    .slide .carrossel .item {
        width: 440px;
    }

    /*  --  Estilos do bloco habilidades -- */

    .hab_container {
        justify-content: space-between;
    }

    /* --- end content --- */
    .end_content {
        margin-top: 2rem;
        margin-bottom: 2rem;
    }

    .end_content .final {
        width: 60%;
        margin: 0 auto;
    }

}

@media only screen and (min-width: 890px) {
    .container {
        max-width: 80%;
    }

    /* --- content dev --- */

    .slide {
        width: 500px;
    }


    /*--- --- */
    .hab_container {
        flex-direction: row;
        text-align: left;
        align-items: center;
        justify-content: space-between;


    }

    .hab_container .sideA {
        width: 60%;
    }

    .hab_container .sideB {
        width: 40%;
    }


    .hab_container .hab_cards .item {
        gap: 1.2rem;
    }

    footer {
        max-width: 90%;
        margin: 0 auto;
    }


}

@media only screen and (min-width: 1000px) {
    .container {
        max-width: 60%;
        flex-direction: row;
        gap: 2rem;
    }

    .title_content {
        font-size: 1.6rem;
        line-height: 1.8rem;
    }

    .subtitle_content {
        font-size: 1.1rem;
        line-height: 1.3rem;
    }

    /* --- --- */
    .main_content {
        gap: 2rem;
    }

    .main_content h1 {
        font-size: 2.4rem;
        line-height: 2.6rem;
    }

    .main_content .subtitle {
        font-size: 1.3rem;
        line-height: 1.5rem;
    }

    .main_content .main_img img {
        width: 380px;
    }

    .main_title {
        width: 30vw;
        padding-right: 4rem;
    }

    .main_content .arrow_point {
        margin-bottom: -32rem;
        margin-left: 28%;
    }  

    /* --- --- */

    .design_content {
        width: 100%;
    }

    .design_content .isakids {
        display: flex;
    }

    .card_design_title_2 {
        width: 320px;
        height: 320px;
        
    }

    .design_content .card_design {
        width: 320px;
        height: 320px;
    }

    .design_content .card_design img {
        width: 320px;
        height: 320px;
    }

    /* --- --- */
    .dev_container {
        flex-direction: row;
        justify-content: space-between;
        align-items: center;
        width: 100%;
    }

    .dev_container .card_dev_title {
        width: 400px;
        height: auto

    }

    .slide {
        width: 600px;
    }

    /* --- --- */ 
    .hab_container {
        width: 100%;
    }

    .hab_container .sideA {
        width: 50%;
    }

    .hab_container .sideB {
        width: 40%;
    }
    /* --- --- */

    .form_container {
        flex-direction: row;
        text-align: left;
        align-items: center;
    }

    .form_container .container_contato {
        width: 50%;
        align-items: center;
        justify-content: center;
    }

    


}